#pragma once

class CLanuageActorEvent: public IGTWASActorEvent ,
    private IGTMessengerActorEvent
{
public:
	CLanuageActorEvent(void);
	~CLanuageActorEvent(void);

	bool RequestSetLanguage(CString strLang);
	bool RequestGetLanguage();

private:
	std::list<trid_t> m_tridListSetLang;
	std::list<trid_t> m_tridListGetLang;

	virtual bool OnGTWASActor_ResponseSetLanguage(IGTWASActor *pActor, 
		trid_t trid, GTWASCallErrorCode eErrorCode, const NE_LANG_DATA &langData);

	virtual bool OnGTWASActor_ResponseGetLanguage(IGTWASActor *pActor, 
		trid_t trid, GTWASCallErrorCode eErrorCode, const NE_LANG_DATA &langData);
};
